Subject: ld -r
From: [email-masked] (Charmaine Hooper)

13 Mar 1998 00:34:45 -0800
Message-ID: <002901bd4de6$878e2ae0$010101c1.cygnus.gnu-win32@hooperj>
Reply-To: "Charmaine Hooper" <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/alternative;
	boundary="----=_NextPart_000_0026_01BD4DF7.4994EEC0"
To: <[email-masked]>

This is a multi-part message in MIME format.

------=_NextPart_000_0026_01BD4DF7.4994EEC0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

Hi
=20
I am trying to compile a package under CYGWIN32 which I pulled off the =
internet. It does not have a specific port, but I am trying to get it =
going... I am having a problem with the linker. Basically the package =
links files in various directories with ld -r, and then relinks them =
again and again with ld -r. On the second link, I get errors of ... =
multiple definition of `_bss_start__' ... and ... `_bss_end__' ... and =
.... `_data_start__' ... and ... `_data_end__' ... is there another flag =
I can use, or is this a bug in the linker???
=20
There is also another error right at the end ... bad reloc address 0x179 =
in section `.text'

Any help or suggestions would be geatly appreciated...

Thanks
=20
Jason

------=_NextPart_000_0026_01BD4DF7.4994EEC0
Content-Type: text/html;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>

<META content=3Dtext/html;charset=3Diso-8859-1 =
http-equiv=3DContent-Type>
<META content=3D'"MSHTML 4.72.2106.6"' name=3DGENERATOR>
</HEAD>
<BODY bgColor=3D#ffffff>
<DIV>
<DIV><FONT color=3D#000000 size=3D2>Hi</FONT></DIV>
<DIV><FONT color=3D#000000 size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT color=3D#000000 size=3D2>I am trying to compile a package =
under CYGWIN32=20
which I pulled off the internet. It does not have a specific port, but I =
am=20
trying to get it going... I am having a problem with the linker. =
Basically the=20
package links files in various directories with ld -r, and then relinks =
them=20
again and again with ld -r. On the second link, I get errors of ... =
multiple=20
definition of `_bss_start__' ... and ... `_bss_end__' ... and ...=20
`_data_start__' ... and ... `_data_end__' ... is there another flag I =
can use,=20
or is this a bug in the linker???</FONT></DIV>
<DIV><FONT color=3D#000000 size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT color=3D#000000 size=3D2>There is also another error right at =
the end ...=20
bad reloc address 0x179 in section `.text'</FONT></DIV>
<DIV><FONT color=3D#000000 size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT size=3D2>Any help or suggestions would be geatly=20
appreciated...</FONT></DIV>
<DIV><FONT color=3D#000000 size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT color=3D#000000 size=3D2>Thanks</FONT></DIV>
<DIV><FONT color=3D#000000 size=3D2></FONT>&nbsp;</DIV>
<DIV><FONT color=3D#000000 =
size=3D2>Jason</FONT></DIV></DIV></BODY></HTML>

------=_NextPart_000_0026_01BD4DF7.4994EEC0--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".